
<form #f="ngForm" *ngIf="status">
    <legend>New Personne</legend>
<div class="form-group">
<label for="">nom</label>
<input  required [(ngModel)]="declaration.nom" #nomTemplate="ngModel" minlength="3" maxlength="10" pattern="[a-zA-Z]+" name="nom"  type="text" class="form-control" id="nom" >
<div class="alert alert-danger" *ngIf="nomTemplate.touched && !nomTemplate.valid">
    <div *ngIf="nomTemplate.errors.required"> ce champs est obligatoire</div>
    <div *ngIf="nomTemplate.errors.minlength"> ({{nomTemplate.errors.minlength.actualLength}} char) :/ce champs doit avoir  au moins {{nomTemplate.errors.minlength.requiredLength}} char !</div>
    <div *ngIf="nomTemplate.errors.pattern">ce champ doit avoir juste des aplhabetique !</div>
</div>
</div>

<div class="form-group">
<label for="">prenom</label>
<input  required [(ngModel)]="declaration.prenom"  name="prenom"  #nomTemplate1="ngModel" minlength="3" maxlength="10" pattern="[a-zA-Z]+"   type="text" class="form-control" id="prenom" >
<div class="alert alert-danger" *ngIf="nomTemplate1.touched && !nomTemplate1.valid">
    <div *ngIf="nomTemplate1.errors.required"> ce champs est obligatoire</div>
    <div *ngIf="nomTemplate1.errors.minlength"> ({{nomTemplate1.errors.minlength.actualLength}} char) :/ce champs doit avoir  au moins {{nomTemplate1.errors.minlength.requiredLength}} char !</div>
    <div *ngIf="nomTemplate1.errors.pattern">ce champ doit avoir juste des aplhabetique !</div>
</div>
</div>
<div class="form-group">
<label for="">number</label>
<input  required [(ngModel)]="declaration.number"  name="number" #nomTemplate2="ngModel" minlength="10" maxlength="10" pattern="[0]{1}[0-9]{9}"   type="text"   class="form-control" id="number" >
<div class="alert alert-danger" *ngIf="nomTemplate2.touched && !nomTemplate2.valid">
    <div *ngIf="nomTemplate2.errors.required"> ce champs est obligatoire</div>
    <div *ngIf="nomTemplate2.errors.minlength"> ({{nomTemplate2.errors.minlength.actualLength}} char) :/ce champs doit avoir  au moins {{nomTemplate2.errors.minlength.requiredLength}} char !</div>
    <div *ngIf="nomTemplate2.errors.pattern">ce champ doit avoir juste des chiffres  et doit commencer avec 0!</div>
</div>
</div>
<div class="form-group">
<label for="">adresse</label>
<input required [(ngModel)]="declaration.adresse"  name="adresse" #nomTemp="ngModel" minlength="3" maxlength="30" type="text" class="form-control" id="adresse" >
<div class="alert alert-danger" *ngIf="nomTemp.touched && !nomTemp.valid">
    <div *ngIf="nomTemp.errors.required"> ce champs est obligatoire</div>
    <div *ngIf="nomTemp.errors.minlength"> ({{nomTemp.errors.minlength.actualLength}} char) :/ce champs doit avoir  au moins {{nomTemp.errors.minlength.requiredLength}} char !</div>
</div>
</div>
<div class="form-group">
    <label for="">Description</label>
    <input required [(ngModel)]="declaration.description"  name="description"  #nomT="ngModel" minlength="30" maxlength="200"   type="text" class="form-control" id="description" >
    <div class="alert alert-danger" *ngIf="nomT.touched && !nomT.valid">
        <div *ngIf="nomT.errors.required"> ce champs est obligatoire</div>
        <div *ngIf="nomT.errors.minlength"> ({{nomT.errors.minlength.actualLength}} char) :/ce champs doit avoir  au moins {{nomT.errors.minlength.requiredLength}} char !</div>
    </div>
</div>

<button  (click)="ajouterdeclaration()" class="btn btn-secondary" [disabled]="!f.valid" >Ajouter</button>
<button  (click)="anulerdeclaration()" class="btn btn-warning ml-3" >Annuler</button>
</form>


<div class="row mt-3">
    <div class="col-md-10">
        <h1 class="text-danger">Liste des Déclaration des Personnes inspéctés</h1>
    </div>
    <div class="col-md-2" *ngIf=!status> 
        <button (click)="status=!status" class="btn btn-success btn-block"> ADD <i class="fa fa-plus-circle" aria-hidden="true"></i></button>
    </div>
    <div class="col-md-2" *ngIf=status> 
        <button (click)="status=!status" class="btn btn-success btn-block">  <i class="fa fa-minus-circle" aria-hidden="true"></i></button>
    </div>
</div>
<div class="col-md-8 mx-auto">
    <input type="text"class="form-control" placeholder="search by Nom or Prenom" (keyup)="search(query.value)" #query>
 </div>
<table class="table mt-3">
    <thead>
        <tr>
            <th>nom</th>
            <th>prenom</th>
            <th>number</th>
            <th>adresse</th>
            <th>description</th>
        </tr>
    </thead>
    <tbody>
        <tr *ngFor="let v of searchPersonne">
            <td scope="row"> {{v.nom}}</td>
            <td>{{v.prenom}}</td>
            <td>{{v.number}}</td>
            <td>{{v.adresse}}</td>
            <td> {{v.description}}</td>
        </tr>
    </tbody>
</table>
